Bug Hunting Session
Bug 90901 - Hyperlink add-on
Summary: Hyperlink add-on
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: All Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2015-04-28 00:26 UTC by ELSUPREMO1
Modified: 2017-07-27 09:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example of hyperlink placement (125.76 KB, image/jpeg)
2015-04-28 00:26 UTC, ELSUPREMO1
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ELSUPREMO1 2015-04-28 00:26:43 UTC
Created attachment 115145 [details]
example of hyperlink placement

when I right click mouse please include hyperlink function under 'line spacing." Most people use right click more often than insert>hyperlink. right clicking is faster.
Comment 1 Joel Madero 2015-04-28 04:32:33 UTC
I'll ask for UX advise - personally I prefer that this not happen. We try to keep right click context menu clean and simple...how often is a regular user really inserting hyper links? I suspect not often enough to justify clogging our right click context menu.
Comment 2 Heiko Tietze 2015-04-28 07:01:13 UTC
Good point, Joel, since the context menu is cluttered already. On the other hand MS offers access to hyperlink in the context menu (empty document) along with:

cut, paste, paste options (icons), font..., paragraph..., bullets >, numbering >, styles >, hyperlink..., dictionary >, synonyms >, translate, additional actions >. 

We show

paste, paste special >, clear direct formatting, format >, line spacing >, character..., paragraph..., page..., bullets and numbering, change case >, edit paragraph style...

And this dropdown menu isn't context sensitive  at all in terms of features shown depending on what is below the cursor neither in MS nor LO.
Comment 3 ELSUPREMO1 2015-05-01 21:48:17 UTC
Windows 7 has approx. 20 lines including hyperlink while LO has 16. 

Joel asks, “how often is a regular user really inserting hyper links?”
You’ll be surprised how often people (i.e writers, businessmen, scholars, etc…) in the world use hyperlinks when drafting and writing papers. I’ll bet you’ve used them more than once, twice or regularly. Am I right? Hyperlinks are very common add-ons. Mostly, people put them to link to their favorite links, videos, etc….

I promise you that adding one hyperlink menu will not clog up the menu. On the other hand, it will add more functionality, efficiency, and performance to regular people using LO writer.

Thanks,

respectfully,

CJ
Comment 4 Robinson Tryon (qubit) 2016-08-25 05:26:56 UTC Comment hidden (obsolete)
Comment 5 Heiko Tietze 2017-07-27 09:32:51 UTC
The menus underwent heavy changes in the last versions. We are trying our best to keep the menu clean - and provide means for individualization. While I'll close this as WONTFIX you can add access to Link... (renamed from hyperlink) yourself per Tools > Customize > Context menu > Text > Add Command > Edit > Link. And there is also the shortcut ctrl+K.